#

API Docs for: 1.3.0
Show: Inherited Protected Private Deprecated

# InteractionData Class

Defined in: `src/pixi/InteractionManager.js:493`
Module: PIXI

## Constructor

### `InteractionData`

()

Defined in `src/pixi/InteractionManager.js:493`

- Index
- Methods
- Properties

## Item Index

### Methods

- getLocalPosition

### Properties

- global
- originalEvent
- target

## Methods

### `getLocalPosition`

(

- `displayObject`

)
Point

Defined in `src/pixi/InteractionManager.js:524`

This will return the local coords of the specified displayObject for this InteractionData

#### Parameters:

- `displayObject` DisplayObject

  The DisplayObject that you would like the local coords off

#### Returns:

Point: A point containing the coords of the InteractionData position relative to the DisplayObject

## Properties

### `global`

Point

Defined in `src/pixi/InteractionManager.js:499`

This point stores the global coords of where the touch/mouse event happened

### `originalEvent`

Event

Defined in `src/pixi/InteractionManager.js:516`

When passed to an event handler, this will be the original DOM Event that was captured

### `target`

Sprite

Defined in `src/pixi/InteractionManager.js:509`

The target Sprite that was interacted with